Bug 1792444 - Review Request: php-laminas-mvc - Laminas Framework Mvc component
Summary: Review Request: php-laminas-mvc - Laminas Framework Mvc component
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1792281 1792441
Blocks: 1792445
TreeView+ depends on / blocked
 
Reported: 2020-01-17 16:31 UTC by Remi Collet
Modified: 2020-01-27 13:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-27 13:35:15 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2020-01-17 16:31:39 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/laminas/php-laminas-mvc.git/plain/php-laminas-mvc.spec?id=62d3acd98812172d0a4fda248c3bad9e78aa0303
SRPM URL: http://rpms.remirepo.net/SRPMS/php-laminas-mvc-3.1.1-1.remi.src.rpm
Description: 
Laminas\Mvc is a brand new MVC implementation designed from the ground up
for Laminas Framework, focusing on performance and flexibility.

The MVC layer is built on top of the following components:
* Laminas\ServiceManager - Laminas Framework provides a set of default service
  definitions set up at Laminas\Mvc\Service. The ServiceManager creates and
  configures your application instance and workflow.
* Laminas\EventManager - The MVC is event driven. This component is used
  everywhere from initial bootstrapping of the application, through returning
  response and request calls, to setting and retrieving routes and matched
  routes, as well as render views.
* Laminas\Http - specifically the request and response objects, used within:
  Laminas\Stdlib\DispatchableInterface. All “controllers” are simply
  dispatchable objects.

Documentation: https://docs.laminas.dev/laminas-mvc/



Fedora Account System Username: remi

Comment 1 Robert-André Mauchin 2020-01-24 19:46:44 UTC
 - The last changelog entry has wrong Version-Release, it should be 3.1.1-3 not 2.12.0-1:

Version:        3.1.1
Release:        3%{?dist}

[…]

* Wed Jan 15 2020 Remi Collet <remi@remirepo.net> - 3.1.1-3
- switch to Laminas
- use range dependencies

* Tue Dec 12 2017 Remi Collet <remi@remirepo.net> - 3.1.1-2
- switch from zend-loader to fedora/autoloader

* Mon Nov 27 2017 Remi Collet <remi@remirepo.net> - 3.1.1-1
- Update to 3.1.1
- raise dependency on container-interop/container-interop 1.2
- raise dependency on zend-eventmanager 3.2
- raise dependency on zend-http 2.7
- raise dependency on zend-modulemanager 2.8
- raise dependency on zend-router 3.0.2
- raise dependency on zend-servicemanager 3.3
- raise dependency on zend-stdlib 3.1
- raise dependency on zend-view 2.9




 - License ok
 - Latest version packaged
 - Builds in mock
 - Tests are ok
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Gwyn Ciesla 2020-01-25 14:22:26 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-laminas-mvc

Comment 3 Remi Collet 2020-01-27 13:35:15 UTC
thanks

built


Note You need to log in before you can comment on or make changes to this bug.